/*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// (C) PicoPeta Simputers Pvt. Ltd. (2003)
// Author: Vivek K S, Rajat V, Girish A J 

#ifndef _PGETTEXT_H_
#define _PGETTEXT_H_
#ifdef __cplusplus
extern "C" {
#endif
#define BUF_LEN             512
#define MAX_NUM_LANGS       50
#define LOCALE_DIR			"/usr/local/share/locale"
#define LANG_SETTINGS_FILE    "/usr/local/settings/pgettext/%s_settings"

typedef struct _gettext_info gettext_info;
struct _gettext_info
{
	char language[512];
	char font[512];
	char bold[20];
	char medium[20];
	char italics[20];
	unsigned int large;
	unsigned int normal;
	unsigned int small;
	unsigned int tiny;
};

void pgettext_init(const char *language, const char *domain);
void pgettext_font(const char *language,const char* size, char*);
char *pgettext(const char *msgid);
#ifdef __cplusplus
}
#endif
#endif
